# Copyright (c) 2018, 2019, Oracle and/or its affiliates.  All rights reserved.
#
# This software is dual-licensed to you under the MIT License (MIT) and
# the Universal Permissive License (UPL).  See the LICENSE file in the root
# directory for license terms.  You may choose either license, or both.

# com.oracle.iot.client

# TODO: Are two of these necessary ?
# TODO: Can't iotcs.client.ExternalObject be this one ?

class ExternalObject():
    """
    ExternalObject represents the value of a URI type in a device model.

    The application is responsible for uploading/downloading the content
    referred to by the URI.
    """

    __slots__ = (
        '__uri'
    )

    def __init__(self, uri):
        """
        Create an `ExternalObject`.

        :param uri: The URI
        """
        self.__uri = uri

    def getURI(self):
        """
        Get the URI value.

        :return: the URI
        """
        return self.__uri
